JUPYTER-KERNELSPEC(1)

NAME
jupyter-kernelspec - Manage Jupyter kernelspec specifications

SYNOPSIS
jupyter-kernelspec <command> <options>

COMMANDS

list

    List installed kernel specifications

install

    Install a kernel specification directory

COMMON OPTIONS

--debug

    Set log level to logging.DEBUG (maximize logging output)

--log-level=<Enum> (Application.log_level)

    Set the log level by value or name (default: 30) with choices: (0, 10, 20, 30, 40, 50, 'DEBUG', 'INFO', 'WARN', 'ERROR', 'CRITICAL')

--config=<Unicode> (JupyterApp.config_file)

    Full path of a config file (default: u'').

OPTIONS FOR LIST

--json

    Output spec name and location as machine-readable json.

OPTIONS FOR INSTALL

--user

    Install to the per-user kernel registry

--replace

    Replace any existing kernel spec with this name.

--prefix=<Unicode> (InstallKernelSpec.prefix)

    Specify a prefix to install to, e.g. an env. The kernelspec will be installed in PREFIX/share/jupyter/kernels/ (default: '')

--name=<Unicode> (InstallKernelSpec.kernel_name)

    Install the kernel spec with this name (default: '')